package com.yutou.qqbot.data.jianr;

import lombok.Data;

import java.util.List;

@Data
public class AndroidDevice {
    String title;
    String deviceId;
    DeviceDisplay androidDevice;
    List<GameDisplay> deviceDisplay;


    @Data
    public static class DeviceDisplay {
        int width, height;
    }

    @Data
    public static class GameDisplay {
        String title;
        double width, height;
        Vector2D start, end;

        public double getWidth() {
            return end.getX() - start.getX();
        }

        public double getHeight() {
            return end.getY() - start.getY();
        }

        public void setEnabledRandom(boolean enabled) {
            if(enabled){
                start.setEnableRandomY(true);
                start.setEnableRandomX(true);
                end.setEnableRandomX(true);
                end.setEnableRandomY(true);
            }else{
                start.setEnableRandomX(false);
                start.setEnableRandomY(false);
                end.setEnableRandomY(false);
                end.setEnableRandomX(false);
            }
        }
    }

}
